# MatReuse

Indicates if matrices obtained from a previous call to MatGetSubMatrices() or MatGetSubMatrix() are to be reused to store the new matrix values.

### Synopsis

    typedef enum {MAT_INITIAL_MATRIX,MAT_REUSE_MATRIX} MatReuse;

Any additions/changes here MUST also be made in include/finclude/petscmat.h

### See Also

MatGetSubMatrices(), MatGetSubMatrix(), MatDestroyMatrices(), MatConvert()

Level:beginner
Location: src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages